Home of the Squeezebox™ & Transporter® network music players.
Page 3 of 3 FirstFirst 123
Results 21 to 27 of 27
  1. #21
    Senior Member
    Join Date
    May 2010
    Location
    London, UK
    Posts
    908
    Quote Originally Posted by bpa View Post
    Out of interest, just installed & tried - eye3D - can't find a "--debug" but logging option "-l debug" worked well - provides full explanation of all bits set.
    Thanks. Just updated, the logging option "-l debug" does correspond to the old "--debug".

  2. #22
    Senior Member
    Join Date
    May 2010
    Location
    London, UK
    Posts
    908
    Quote Originally Posted by bvrulez View Post
    As a sidenote: This means that mp3fs does also fill in 3v1 additionally to 3v2.4 in its converted files. Because from FLAC converted files do have a picture on the iPod.
    I'm not seeing ID3v1 tags in mp3fs output here. And I don't think ID3v1 supports images...

    eyeD3 will tell you when you get it going.

  3. #23
    Senior Member ralphy's Avatar
    Join Date
    Jan 2006
    Location
    Canada
    Posts
    2,919
    Quote Originally Posted by mherger View Post
    >> https://github.com/andygrundman/Audio-Scan
    >
    > Should we continue to use the 'Audio-Scan repo in the lms-community
    > github' (https://github.com/LMS-Community/Audio-Scan) then?


    Andy did merge a PR recently. Let's give him a try first.
    Quote Originally Posted by mrw View Post
    PR raised:

    https://github.com/andygrundman/Audio-Scan/pull/12

    Differs slightly from my original effort - ID3 'synchsafe' integers are in play.
    It's been nearly two weeks since the PR was submitted and no response from Andy yet.

    I've applied PR#12 to the LMS community audio scan repo along with a fix from Kimmo to dsd wavpack song length parsing that seems to have been ignored and tagged it as Release 1.0.5. The zip/tarball can be downloaded from here.

    I've been running this version of audio scan for about a week on windows and linux without any issues so far. Should I submit a PR for 1.05 to lms-vendor and the windows lms audio scan module?
    Last edited by ralphy; 2021-09-15 at 06:36.
    Ralphy

    1-Touch, 5-Classics, 3-Booms, 2-UE Radio
    Squeezebox client builds donations always appreciated.

  4. #24
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,602

    Should LMS read metadata from ID3v2.4?

    > I've been running this version of audio scan for about a week on windows
    > and linux without any issues so far. Should I submit a PR for 1.05 to
    > lms-vendor and the windows lms audio scan module.


    Please submit PRs for whatever platform you can :-)

  5. #25
    Senior Member
    Join Date
    Aug 2017
    Posts
    119
    I wonder, why I did not get update emails for the last entries in this thread.

    Regarding the iPod Nano it seems that the artwork is handled by iTunes. I had huge problems updating the iPod with new/changed tracks up to the point where no track showed any artwork. I ended up using a fresh iTunes, dragging my folder into it (without copying) and then I successfully synched my iPod with all the tracks having all the artwork. So, probably iTunes checks for artwork, might aditionally download artwork that is missing (not the case with me) and then puts everything on the iPod the way the iPod needs it.

    Regarding eye3D, I was not able to run it with python3 directly. I don't remember all the output but what I can reproduce is this. I am just sharing for info. It is an old system with Lubuntu 16 and it does what it needs to do without eye3D.

    Code:
     $ pip3 install eyeD3
    WARNING: pip is being invoked by an old script wrapper. This will fail in a future version of pip.
    Please see https://github.com/pypa/pip/issues/5599 for advice on fixing the underlying issue.
    To avoid this problem you can invoke Python with '-m pip' instead of running pip directly.
    DEPRECATION: Python 3.5 reached the end of its life on September 13th, 2020. Please upgrade your Python as Python 3.5 is no longer maintained. pip 21.0 will drop support for Python 3.5 in January 2021. pip 21.0 will remove support for this functionality.
    Defaulting to user installation because normal site-packages is not writeable
    Requirement already satisfied: eyeD3 in ./.local/lib/python3.5/site-packages (0.9.5)
    Requirement already satisfied: filetype in ./.local/lib/python3.5/site-packages (from eyeD3) (1.0.7)
    Requirement already satisfied: deprecation in ./.local/lib/python3.5/site-packages (from eyeD3) (2.1.0)
    Requirement already satisfied: dataclasses in ./.local/lib/python3.5/site-packages (from eyeD3) (0.6)
    Requirement already satisfied: packaging in ./.local/lib/python3.5/site-packages (from deprecation->eyeD3) (20.9)
    Requirement already satisfied: pyparsing>=2.0.2 in /usr/lib/python3/dist-packages (from packaging->deprecation->eyeD3) (2.0.3)
    ~ - 14:12:23 - ben - ZOTAC@192.168.100.91 Sa Sep 18 
    
     $ eyeD3
    Traceback (most recent call last):
      File "/home/ben/.local/bin/eyeD3", line 5, in <module>
        from eyed3.main import _main
      File "/home/ben/.local/lib/python3.5/site-packages/eyed3/__init__.py", line 31, in <module>
        from .utils.log import log                                          # noqa: E402
      File "/home/ben/.local/lib/python3.5/site-packages/eyed3/utils/__init__.py", line 361
        msg = f"invalid level choice: {level} (choose from {parser.log_levels})"
                                                                               ^
    SyntaxError: invalid syntax

  6. #26
    Senior Member
    Join Date
    May 2010
    Location
    London, UK
    Posts
    908
    Quote Originally Posted by bvrulez View Post
    Regarding eye3D, I was not able to run it with python3 directly. I don't remember all the output but what I can reproduce is this. I am just sharing for info. It is an old system with Lubuntu 16 and it does what it needs to do without eye3D.
    Regardless, a new version of Audio::Scan (1.05), which should fix the ID3 v2.4 problem, is working its way into LMS.

    But I don't expect that it will ever become available for your outdated system. You'd need to build it yourself.

  7. #27
    Senior Member
    Join Date
    Aug 2017
    Posts
    119
    Thanks for considering. My LMS on the other hand is running on an up-to-date Pi4. I just don't like to touch it.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •